Bug 142331 - sysutils/file: add CrystalReports support to file utility
Summary: sysutils/file: add CrystalReports support to file utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-05 01:20 UTC by Jason
Modified: 2010-01-14 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (391 bytes, patch)
2010-01-05 01:20 UTC, Jason
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason 2010-01-05 01:20:00 UTC
Would like to off-load maintenance of an internal patch, and thought others may benefit from this patch, as well. 

Per discussion with Christos Zoulas (circa 07/16/2009), provides
Crystal Reports definition for CDF Property name of application,
"x-rpt", and produces mime type output "application/x-rpts;
charset=binary".

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-01-05 01:20:08 UTC
Maintainer of sysutils/file,

Please note that PR ports/142331 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142331

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-05 01:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jharris 2010-01-08 22:00:37 UTC
On Tue, Jan 05, 2010 at 01:20:08AM +0000, Edwin Groothuis wrote:
> Maintainer of sysutils/file,
> 
> Please note that PR ports/142331 has just been submitted.


> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142331


Approved, thanks!

-- 
Jason Harris           |  NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com _|_ web:  http://keyserver.kjsl.com/~jharris/
          Got photons?   (TM), (C) 2004
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-01-09 00:26:00 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Edwin Groothuis freebsd_committer 2010-01-14 18:11:55 UTC
Maintainer of sysutils/file,

Please note that PR ports/142331 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142331

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 6 Edwin Groothuis freebsd_committer 2010-01-14 18:11:57 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 7 Edwin Groothuis freebsd_committer 2010-01-14 18:21:23 UTC
Maintainer of sysutils/file,

Please note that PR ports/142331 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/142331

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 8 Wesley Shields freebsd_committer 2010-01-14 21:26:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 9 Wesley Shields freebsd_committer 2010-01-14 21:55:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 10 dfilter service freebsd_committer 2010-01-14 21:55:57 UTC
wxs         2010-01-14 21:55:28 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/file        Makefile 
  Added files:
    sysutils/file/files  patch-src__readcdf.c 
  Log:
  - Add CrystalReports support
  
  PR:             ports/142331
  Submitted by:   Jason Helfman <jhelfman@e-e.com>
  Approved by:    Jason Harris <jharris@widomaker.com> (maintainer)
  
  Revision  Changes    Path
  1.37      +1 -0      ports/sysutils/file/Makefile
  1.1       +11 -0     ports/sysutils/file/files/patch-src__readcdf.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"